Package: grails.validation

## [Java] Class DefaultASTValidateableHelper

- grails.validation.DefaultASTValidateableHelper

- All Implemented Interfaces and Traits:
    ASTValidateableHelper

      public class DefaultASTValidateableHelper
      extends java.lang.Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addConstraintsField(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `protected void` | `addGetConstraintsMethod(org.codehaus.groovy.ast.ClassNode classNode, boolean defaultNullable)`
    `` | `protected void` | `addValidateMethod(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `protected java.util.Map<java.lang.String, org.codehaus.groovy.ast.ClassNode>` | `getPropertiesToEnsureConstraintsFor(org.codehaus.groovy.ast.ClassNode classNode)` Retrieves a Map describing all of the properties which need to be constrained for the class represented by classNode.
    `` | `void` | `injectValidateableCode(org.codehaus.groovy.ast.ClassNode classNode, boolean defaultNullable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected void addConstraintsField(org.codehaus.groovy.ast.ClassNode classNode)

    - #### protected void addGetConstraintsMethod(org.codehaus.groovy.ast.ClassNode classNode, boolean defaultNullable)

    - #### protected void addValidateMethod(org.codehaus.groovy.ast.ClassNode classNode)

    - #### protected java.util.Map<java.lang.String, org.codehaus.groovy.ast.ClassNode> getPropertiesToEnsureConstraintsFor(org.codehaus.groovy.ast.ClassNode classNode)

      Retrieves a Map describing all of the properties which need to be constrained for the class represented by classNode. The keys in the Map will be property names and the values are the type of the corresponding property.

      Parameters:
        `classNode` - the class to inspect
      Returns:
        a Map describing all of the properties which need to be constrained

    - #### public void injectValidateableCode(org.codehaus.groovy.ast.ClassNode classNode, boolean defaultNullable)